Buffalo NAS-Central Forums

Welcome to the Linkstation Wiki community
It is currently Sun Nov 19, 2017 6:56 pm

All times are UTC+01:00




Post new topic  Reply to topic  [ 4 posts ] 
Author Message
PostPosted: Sat Apr 16, 2011 1:42 pm 
Offline
Newbie

Joined: Sat Apr 16, 2011 1:11 pm
Posts: 7
I downloaded ushare from http://ushare.geexbox.org/ and modify it so that movies file on the server can be played from samsung tv through lan cable. However I am keep getting this error: error, can't file libdlna (I already downloaded and installed that library). Below is the error from log file

If I tried to skip libdlna library by ./configure--disable-dlna then it can compile ok
but when I try the command: Make it gave me this error
sh: make: not found
It does not make sense. Can someone give me an idea what should I try next ?

check the image for full error
Image


Top
   
PostPosted: Sun Apr 17, 2011 5:53 am 
Offline
Moderator

Joined: Fri Jun 29, 2007 10:39 am
Posts: 2604
What have you installed in addition on your box?
Optware?
If yes, check the output of this:
Code:
ipkg list_installed

It should contain a line starting with "make".
If not, then there is no make installed amd you
will get -> "sh: make: not found".

Did you installed a "development" version of libdlna?
Depending on the configure script, this could be
necessary. If you can't find a "development" version,
you will have to build libdlna yourself before using
./configure again.

_________________
Please do not use private mail (PN/M) to ask questions. Use the proper forum instead. (me)

If there is no verified backup of a dataset, the dataset, by definition, is unimportant. (c't 2012)

RAID (no matter which level) never ever substitutes a backup. (me)


Top
   
PostPosted: Mon Apr 18, 2011 1:11 pm 
Offline
Newbie

Joined: Sat Apr 16, 2011 1:11 pm
Posts: 7
Yes, I had optware installed in my box. I do not have the "make" so I downloaded via ipkg install make and it installed successful.
I also got the libdlna installed similar way ipkg install libdlna. I am not sure if that is a development version. If I tried to download libdlna source code to compile but it got an saying it could not find libavformat which I believe belong to ffmpeg lib (which I already have it installed via ipkg install ffmpeg) :shock: . Is there anything else I can try now?


Top
   
PostPosted: Tue Apr 19, 2011 5:07 pm 
Offline
Moderator

Joined: Fri Jun 29, 2007 10:39 am
Posts: 2604
The "problem" with compiling stuff yourself is, that most
of the times one needs the development version of some
other packages (means: not only the libraries but also the
headers).
If Optware do not offer the development version of a package,
one is forced to get the source of that package and compile it.
This "dependency" tree could lead into compiling of a lot of
packages.
I once compiled the nfs-utils for the "X" series boxes and
ended in compiling more than ten packages before I could
compile the nfs-utils itself.

_________________
Please do not use private mail (PN/M) to ask questions. Use the proper forum instead. (me)

If there is no verified backup of a dataset, the dataset, by definition, is unimportant. (c't 2012)

RAID (no matter which level) never ever substitutes a backup. (me)


Top
   
Display posts from previous:  Sort by  
Post new topic  Reply to topic  [ 4 posts ] 

All times are UTC+01:00


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Powered by phpBB® Forum Software © phpBB Limited